Batch Receive Webhook Step
curl --request POST \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id} \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"target_id": "<string>",
"external_id": "<string>",
"input_data": {}
}
]
}
'import requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}"
payload = { "updates": [
{
"target_id": "<string>",
"external_id": "<string>",
"input_data": {}
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{target_id: '<string>', external_id: '<string>', input_data: {}}]})
};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'updates' => [
[
'target_id' => '<string>',
'external_id' => '<string>',
'input_data' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}"
payload := strings.NewReader("{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}")
.header("Content-Type", "application/json")
.body("{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Batch Receive Webhook Step
Apply a receive-webhook step update to many targets in one request.
POST
/
api
/
v1
/
campaigns
/
{campaign_id}
/
targets
/
step
/
{friendly_id}
Batch Receive Webhook Step
curl --request POST \
--url https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id} \
--header 'Content-Type: application/json' \
--data '
{
"updates": [
{
"target_id": "<string>",
"external_id": "<string>",
"input_data": {}
}
]
}
'import requests
url = "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}"
payload = { "updates": [
{
"target_id": "<string>",
"external_id": "<string>",
"input_data": {}
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({updates: [{target_id: '<string>', external_id: '<string>', input_data: {}}]})
};
fetch('https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'updates' => [
[
'target_id' => '<string>',
'external_id' => '<string>',
'input_data' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}"
payload := strings.NewReader("{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}")
.header("Content-Type", "application/json")
.body("{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/campaigns/{campaign_id}/targets/step/{friendly_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"updates\": [\n {\n \"target_id\": \"<string>\",\n \"external_id\": \"<string>\",\n \"input_data\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
The ID of the campaign.
The friendly ID of the step.
Body
application/json
Per-target updates to apply to the step in a single request.
Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
Response
Successful Response